package com.fs.his.service;


import com.fs.his.domain.FsStoreOrderScrmComment;

import java.util.List;

/**
 * 订单评价Service接口
 * 
 * @author fs
 * @date 2025-10-15
 */
public interface IFsStoreOrderScrmCommentService {
    /**
     * 查询订单评价
     * 
     * @param commentId 订单评价主键
     * @return 订单评价
     */
    FsStoreOrderScrmComment selectFsStoreOrderScrmCommentByCommentId(Long commentId);

    /**
     * 查询订单评价列表
     * 
     * @param fsStoreOrderScrmComment 订单评价
     * @return 订单评价集合
     */
    List<FsStoreOrderScrmComment> selectFsStoreOrderScrmCommentList(FsStoreOrderScrmComment fsStoreOrderScrmComment);

    /**
     * 新增订单评价
     * 
     * @param fsStoreOrderScrmComment 订单评价
     * @return 结果
     */
    int insertFsStoreOrderScrmComment(FsStoreOrderScrmComment fsStoreOrderScrmComment);

    /**
     * 修改订单评价
     * 
     * @param fsStoreOrderScrmComment 订单评价
     * @return 结果
     */
    int updateFsStoreOrderScrmComment(FsStoreOrderScrmComment fsStoreOrderScrmComment);

    /**
     * 批量删除订单评价
     * 
     * @param commentIds 需要删除的订单评价主键集合
     * @return 结果
     */
    int deleteFsStoreOrderScrmCommentByCommentIds(Long[] commentIds);

    /**
     * 删除订单评价信息
     * 
     * @param commentId 订单评价主键
     * @return 结果
     */
    int deleteFsStoreOrderScrmCommentByCommentId(Long commentId);

    /**
     * 用户端查询评价数据
     * @return
     */
    List<FsStoreOrderScrmComment> selectFsStoreOrderScrmCommentByUser(FsStoreOrderScrmComment fsStoreOrderScrmComment);

    /**
     * 管理端评价数据查询
     * @return
     */
    List<FsStoreOrderScrmComment> selectFsStoreOrderScrmCommentByManager(FsStoreOrderScrmComment fsStoreOrderScrmComment);

    /**
     * 通过订单id获取评价信息
     * @param orderId
     * @return
     */
    FsStoreOrderScrmComment getCommentByOrderId(Long orderId);
}
